﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace MyCustomControls
{
    /// <summary>
    /// Custom drop down menu for use with ControllerButtons
    /// </summary>
    public partial class SettingDropDown : ComboBox
    {
        private DropDownType _type;

        /// <summary>
        /// Type of the DropDown menu
        /// </summary>
        public DropDownType Type
        {
            get { return _type; }
            set { _type = value; }
        }

        public SettingDropDown()
            : base()
        {
            this.DropDownStyle = ComboBoxStyle.DropDownList;
        }
    }

    /// <summary>
    /// Types of SettingDropDown menus that can be used
    /// </summary>
    public enum DropDownType
    {
        Analog,
        Digital
    };
}
